WampServer httpd not a valid Win32 Application

Recently downloaded the latest WampServer 2.5. Prior to this version, all installations were magnificent and installed correctly. There were no issues whatsoever other than some hiccups.

WAMP having mysqld error
WampServer forbidden no permission

wampserver

Well, this time the error was

httpd is not a valid Win32 Application

It looks like another case of Microsoft obsoleting the old Windows tactic once again. Why? The installation was done on a Windows XP Service Pack 3.

Reason for this issue

Apache/MySQL/PHP in this release are all compiled with MSVC11, WAMPServer 2.5 will not run on Windows XP or Server 2003. MSVC11 runtime will not run on these 2 Operating System.

Seems like there is no way but to use the previous version WampServer 2.4.

Leave a Reply